Package org.apache.sling.pipes.internal.bindings

## Class TimeUtil

- java.lang.Object
- - org.apache.sling.pipes.internal.bindings.TimeUtil

    public class TimeUtil
    extends Object

Utility class to be used in bindings

### Constructor Summary

Constructors
`TimeUtil()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Calendar` `of​(String time)`
`Calendar` `ofDate​(String date)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeUtil

    public TimeUtil()

### Method Detail

#### ofDate

    public Calendar ofDate​(String date)

Parameters:
  `date` - string date following `ISO_LOCAL_DATE`
Returns:
  Gregorian calendar impl of that time

#### of

    public Calendar of​(String time)

Parameters:
  `time` - string date following `ISO_DATE_TIME`
Returns:
  Gregorian calendar impl of that time